#ifndef SIMPLECONTROL_H
#define SIMPLECONTROL_H

#include <windows.h>

class SimpleControl
{
protected:
    HWND _hwnd;
    
public:
    SimpleControl(HWND hwndParent, int id);
    SimpleControl(const SimpleControl &rhs);
    ~SimpleControl();
    SimpleControl &operator=(const SimpleControl &rhs);
    void SetFocus();
    HWND Hwnd() const;
};

#endif // SIMPLECONTROL_H
